# Uses of Enum Class
org.apache.solr.common.cloud.Slice.State

Packages that use Slice.State
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of Slice.State in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return Slice.State
Modifier and Type
Method
Description
`Slice.State`
Slice.`getState()`
`static Slice.State`
Slice.State.`getState(String stateStr)`
Converts the state string to a State instance.
`static Slice.State`
Slice.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Slice.State[]`
Slice.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.